List billing records for an NGC organization
Review detailed information about billing usage data over a given time period for running simulations. The actual compute hours consumed per simulation during the specified period will be reflected in the sim_compute_hours_consumed_for_period field, and the total compute hours consumed for the entire run of that simulation will be reflected in the sim_compute_hours_consumed field.
Required role: air_org_admin
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
Filter by when this billing window ended. A date-only value (YYYY-MM-DD) matches all records that ended on that calendar day. A full datetime matches that exact timestamp.
Filter by when this billing window began. A date-only value (YYYY-MM-DD) matches all records that began on that calendar day. A full datetime matches that exact timestamp.
Filter by when the record was created. A date-only value (YYYY-MM-DD) matches all records on that calendar day. A full datetime matches that exact timestamp.
Filter by when the record was last modified. A date-only value (YYYY-MM-DD) matches all records on that calendar day. A full datetime matches that exact timestamp.
Order objects by field. Prefix with - for descending order.
Specify the end of a window to filter billing records. Example: 2026-01-31T23:59:59Z
Specify the start of a window to filter billing records. Example: 2026-01-01T00:00:00Z
Search by sim_name, simulation_uuid, sim_owner, billing_started_at, billing_ended_at, sim_compute_hours_rate, sim_compute_hours_consumed, sim_compute_hours_consumed_for_period, sim_cpu, sim_memory, or sim_storage.
Filter by compute-hours rate applied while the sim was running.
Filter by total memory (MiB) allocated across all nodes while the sim was running.
Filter by total storage (GB) allocated across all nodes while the sim was running.